// ==UserScript==
// @name        Classic Skill Replacer
// @author      Rsrdaman
// @description Replaces skill images with older versions
// @include     https://www.fallensword.com/*
// @include     https://cdn2.fallensword.com/*
// @exclude     https://forum.fallensword.com/*
// @exclude     https://wiki.fallensword.com/*
// @version     1.0.0
// @grant       none
// ==/UserScript==

let lookup_table = {
    'https://cdn2.fallensword.com/skills/0.png': 'https://static.wikia.nocookie.net/fallensword/images/0/03/Rage.gif',
    'https://cdn2.fallensword.com/skills/1.png': 'https://static.wikia.nocookie.net/fallensword/images/a/ae/Stun.gif',
    'https://cdn2.fallensword.com/skills/2.png': 'https://static.wikia.nocookie.net/fallensword/images/b/b0/Fury.gif',
    'https://cdn2.fallensword.com/skills/3.png': 'https://static.wikia.nocookie.net/fallensword/images/f/f3/Berserk.gif',
    'https://cdn2.fallensword.com/skills/4.png': 'https://static.wikia.nocookie.net/fallensword/images/d/d8/Bloodthirst.gif',
    'https://cdn2.fallensword.com/skills/5.png': 'https://static.wikia.nocookie.net/fallensword/images/e/e5/Enchant_Weapon.gif',
    'https://cdn2.fallensword.com/skills/6.png': 'https://static.wikia.nocookie.net/fallensword/images/e/e4/Holy_Flame.gif',
    'https://cdn2.fallensword.com/skills/7.png': 'https://static.wikia.nocookie.net/fallensword/images/8/84/Dark_Curse.gif',
    'https://cdn2.fallensword.com/skills/8.png': 'https://static.wikia.nocookie.net/fallensword/images/e/e3/Fortify.gif',
    'https://cdn2.fallensword.com/skills/9.png': 'https://static.wikia.nocookie.net/fallensword/images/2/25/Enchanted_Armor.gif',
    'https://cdn2.fallensword.com/skills/10.png': 'https://static.wikia.nocookie.net/fallensword/images/8/82/Evade.gif',
    'https://cdn2.fallensword.com/skills/11.png': 'https://static.wikia.nocookie.net/fallensword/images/b/b1/Rock_Skin.gif',
    'https://cdn2.fallensword.com/skills/12.png': 'https://static.wikia.nocookie.net/fallensword/images/6/6c/Great_Vigor.gif',
    'https://cdn2.fallensword.com/skills/13.png': 'https://static.wikia.nocookie.net/fallensword/images/2/21/Absorb.gif',
    'https://cdn2.fallensword.com/skills/14.png': 'https://static.wikia.nocookie.net/fallensword/images/f/f0/Deflect.gif',
    'https://cdn2.fallensword.com/skills/15.png': 'https://static.wikia.nocookie.net/fallensword/images/7/72/Aura_of_Protection.gif',
    'https://cdn2.fallensword.com/skills/16.png': 'https://static.wikia.nocookie.net/fallensword/images/0/02/Find_Item.gif',
    'https://cdn2.fallensword.com/skills/17.png': 'https://static.wikia.nocookie.net/fallensword/images/1/1e/Treasure_Hunter.gif',
    'https://cdn2.fallensword.com/skills/18.png': 'https://static.wikia.nocookie.net/fallensword/images/3/31/Defiance.gif',
    'https://cdn2.fallensword.com/skills/19.png': 'https://static.wikia.nocookie.net/fallensword/images/f/f3/Adept_Learner.gif',
    'https://cdn2.fallensword.com/skills/20.png': 'https://static.wikia.nocookie.net/fallensword/images/9/9d/Librarian.gif',
    'https://cdn2.fallensword.com/skills/21.png': 'https://static.wikia.nocookie.net/fallensword/images/0/07/Merchant.gif',
    'https://cdn2.fallensword.com/skills/22.png': 'https://static.wikia.nocookie.net/fallensword/images/e/e2/Deep_Pockets.gif',
    'https://cdn2.fallensword.com/skills/23.png': 'https://static.wikia.nocookie.net/fallensword/images/0/02/Last_Ditch.gif',
    'https://cdn2.fallensword.com/skills/24.png': 'https://static.wikia.nocookie.net/fallensword/images/5/50/Animal_Magnetism.gif',
    'https://cdn2.fallensword.com/skills/25.png': 'https://static.wikia.nocookie.net/fallensword/images/3/34/Empower.gif',
    'https://cdn2.fallensword.com/skills/27.png': 'https://static.wikia.nocookie.net/fallensword/images/3/37/Force_Shield.gif',
    'https://cdn2.fallensword.com/skills/28.png': 'https://static.wikia.nocookie.net/fallensword/images/a/a6/Unbreakable.gif',
    'https://cdn2.fallensword.com/skills/31.png': 'https://static.wikia.nocookie.net/fallensword/images/b/bf/Super_Elite_Slayer.gif',
    'https://cdn2.fallensword.com/skills/34.png': 'https://static.wikia.nocookie.net/fallensword/images/a/a4/Deathwish.gif',
    'https://cdn2.fallensword.com/skills/36.png': 'https://static.wikia.nocookie.net/fallensword/images/2/27/Assist.gif',
    'https://cdn2.fallensword.com/skills/37.png': 'https://static.wikia.nocookie.net/fallensword/images/0/06/Constitution.gif',
    'https://cdn2.fallensword.com/skills/42.png': 'https://static.wikia.nocookie.net/fallensword/images/2/29/Extend.gif',
};

for (let image of document.getElementsByTagName('img')) {
	for (let query in lookup_table) {
		if (image.src == query) {
			image.src = lookup_table[query];
		}
	}
}